#include "pixmapcache.h"

PixmapCache::PixmapCache()
{
}


PixmapCache::~PixmapCache()
{
}

void PixmapCache::insert(const QString & key, const QPixmap & pix)
{
	QPixmap* pm = new QPixmap(pix);
	cache.insert(key, pm);
}

bool PixmapCache::find(const QString & key, QPixmap & pix)
{
	QPixmap* pm = cache.object(key);
	if (pm != 0)
	{
		pix = *pm;
		return true;
	}
	
	return false;
}

void PixmapCache::setTimestamp(unsigned int time)
{
	m_timestamp = time;
}

void PixmapCache::discard()
{
	cache.clear();
	m_timestamp = 0;
}


